#ifndef _GREAD_H
#define _GREAD_H

#define STATE_FN "/tmp/gread_state"
#ifdef IPAQ
#define EBOOK_DIR "/tmp/lit"
#else
#define EBOOK_DIR "."
#endif
#define NUM_BIG_STEPS 50
#define MAX_WORD_LEN 15


/* gread.c: */
void read_file(char *fn);
void do_filelist(void);
void do_quit(void);
void *safe_malloc(int len);
char *safe_strdup(char *s);

/* state.c: */
struct file_state_rec {
	struct file_state_rec *next;
	char *fn;
	unsigned long offset;
	unsigned long total_len;
};
extern struct file_state_rec *file_states;
int state_load(void);
int state_save(void);
void state_prime(char *fn);


/* filelist.c: */
struct ggl_widget *filelist_get(void);


/* reader.c: */
struct ggl_widget *reader_get(void);
int reader_load(char *fn);


#endif /* _GREAD_H */
